Subject: New Reply Received - I am very disappointed with the service provided by the Homebox Stores online delivery=0A=0AI placed the...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 20 May 2021 20:24:55 +0000

Hi Mohd Adeel Akhter,  The customer has responded to the ticket.  I am very disappointed with the service provided by the Homebox Stores online delivery

I placed the...  Ticket comment <div>Homebox Stores I shared my concern to your whatsapp as well. Complaint already registered ref# 2805599 ( i am not expecting any miracle on this )

By the end as customer we have suffer all the hurdles as we did mistake by ordering your product from great and reputable group like #landmarkgroup</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2602808